"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.PluginInstance = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var PluginInstance = exports.PluginInstance = /*#__PURE__*/function () {
  function PluginInstance(pluginInstance) {
    this[_symbols.pluginInstanceSymbol] = void 0;
    this[_symbols.pluginInstanceSymbol] = pluginInstance;
  }
  return (0, _createClass2["default"])(PluginInstance, [{
    key: "pluginName",
    get: function get() {
      return this[_symbols.pluginInstanceSymbol].name;
    }
  }, {
    key: "dep",
    get: function get() {
      return this[_symbols.pluginInstanceSymbol].dep;
    }
  }, {
    key: "disabled",
    get: function get() {
      return this[_symbols.pluginInstanceSymbol].disabled;
    },
    set: function set(disabled) {
      this[_symbols.pluginInstanceSymbol].setDisabled(disabled);
    }
  }, {
    key: "meta",
    get: function get() {
      return this[_symbols.pluginInstanceSymbol].meta;
    }
  }]);
}();