import { skeletonItemSymbol } from '../symbols';
import { IPublicModelSkeletonItem } from '@redhare/lowcode-types';
import { Dock, IWidget, Panel, PanelDock, Stage, Widget } from '@redhare/lowcode-editor-skeleton';
export declare class SkeletonItem implements IPublicModelSkeletonItem {
    private [skeletonItemSymbol];
    constructor(skeletonItem: IWidget | Widget | Panel | Stage | Dock | PanelDock);
    get name(): string;
    get visible(): boolean;
    disable(): void;
    enable(): void;
    hide(): void;
    show(): void;
    toggle(): void;
}
