"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.DropLocation = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var _node = require("./node");
var DropLocation = exports.DropLocation = /*#__PURE__*/function () {
  function DropLocation(dropLocation) {
    this[_symbols.dropLocationSymbol] = void 0;
    this[_symbols.dropLocationSymbol] = dropLocation;
  }
  DropLocation.create = function create(dropLocation) {
    if (!dropLocation) {
      return null;
    }
    return new DropLocation(dropLocation);
  };
  var _proto = DropLocation.prototype;
  _proto.clone = function clone(event) {
    return new DropLocation(this[_symbols.dropLocationSymbol].clone(event));
  };
  return (0, _createClass2["default"])(DropLocation, [{
    key: "target",
    get: function get() {
      return _node.Node.create(this[_symbols.dropLocationSymbol].target);
    }
  }, {
    key: "detail",
    get: function get() {
      return this[_symbols.dropLocationSymbol].detail;
    }
  }, {
    key: "event",
    get: function get() {
      return this[_symbols.dropLocationSymbol].event;
    }
  }]);
}();