"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Resource = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var Resource = exports.Resource = /*#__PURE__*/function () {
  function Resource(resource) {
    this[_symbols.resourceSymbol] = void 0;
    this[_symbols.resourceSymbol] = resource;
  }
  return (0, _createClass2["default"])(Resource, [{
    key: "title",
    get: function get() {
      return this[_symbols.resourceSymbol].title;
    }
  }, {
    key: "id",
    get: function get() {
      return this[_symbols.resourceSymbol].id;
    }
  }, {
    key: "icon",
    get: function get() {
      return this[_symbols.resourceSymbol].icon;
    }
  }, {
    key: "options",
    get: function get() {
      return this[_symbols.resourceSymbol].options;
    }
  }, {
    key: "name",
    get: function get() {
      return this[_symbols.resourceSymbol].resourceType.name;
    }
  }, {
    key: "config",
    get: function get() {
      return this[_symbols.resourceSymbol].config;
    }
  }, {
    key: "type",
    get: function get() {
      return this[_symbols.resourceSymbol].resourceType.type;
    }
  }, {
    key: "category",
    get: function get() {
      return this[_symbols.resourceSymbol].category;
    }
  }, {
    key: "description",
    get: function get() {
      return this[_symbols.resourceSymbol].description;
    }
  }, {
    key: "children",
    get: function get() {
      return this[_symbols.resourceSymbol].children.map(function (child) {
        return new Resource(child);
      });
    }
  }, {
    key: "viewName",
    get: function get() {
      return this[_symbols.resourceSymbol].viewName;
    }
  }]);
}();